Name:           ocaml-sfml
Version:        0.06
Release:        %mkrel 2
Summary:        OCaml bindings for SFML (Simple and Fast Multimedia Library)
License:        zlib/png
Group:          Development/OCaml
URL:            http://ocaml-sfml.forge.ocamlcore.org/
Source0:        http://ocaml-sfml.forge.ocamlcore.org/download/ocaml-sfml2-%{version}.tgz
BuildRequires:  ocaml
BuildRequires:  sfml2-devel

%description
OCaml bindings for SFML (Simple and Fast Multimedia Library).

SFML is a portable and easy to use multimedia library.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:	sfml2-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -qn %{name}2-%{version}

%build
%make cxx_all CC_PARAMS="$RPM_OPT_FLAGS `pkg-config --cflags sfml-all`" \
  CXX_LD_PATH="`pkg-config --libs-only-L sfml-all`" \
  CXX_LIB_SYSTEM="`pkg-config --libs sfml-system`" \
  CXX_LIB_WINDOW="`pkg-config --libs sfml-window`" \
  CXX_LIB_GRAPHICS="`pkg-config --libs sfml-graphics`" \
  CXX_LIB_AUDIO="`pkg-config --libs sfml-audio`" \
  CXX_LIB_NETWORK="`pkg-config --libs sfml-network`"
%make doc

%install
export OCAML_DIR=%{buildroot}/%{_libdir}/ocaml
export DLL_PREFIX=$OCAML_DIR/stublibs
mkdir -p $OCAML_DIR
mkdir -p $DLL_PREFIX
make install_cxx \
  OCAML_DIR="$OCAML_DIR" \
  DLL_PREFIX="$DLL_PREFIX"

%files
%doc README.txt
%dir %{_libdir}/ocaml/sfml
%{_libdir}/ocaml/sfml/META
%{_libdir}/ocaml/sfml/*.cmi
%{_libdir}/ocaml/sfml/*.cma
%{_libdir}/ocaml/sfml/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc src/doc/
%doc examples
%{_libdir}/ocaml/sfml/*.a
%{_libdir}/ocaml/sfml/*.cmxa
%{_libdir}/ocaml/sfml/*.mli


%changelog
* Fri Jan 03 2014 dmorgan <dmorgan> 0.06-2.mga4
+ Revision: 564088
- Fix buildrequires

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 0.06-1.mga4
+ Revision: 435774
- correct build (IGNORE)
- build with sfml2

* Sun Jan 13 2013 umeabot <umeabot> 0.04-4.mga3
+ Revision: 361618
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.04-3.mga3
+ Revision: 301681
- new rpm group for ocaml

* Thu Aug 30 2012 blue_prawn <blue_prawn> 0.04-2.mga3
+ Revision: 285621
- removed remaining .svn directories
- fixed dependencies

* Fri Aug 24 2012 blue_prawn <blue_prawn> 0.04-1.mga3
+ Revision: 283740
- added csfml dependency
- fixed path in example file
- imported package ocaml-sfml

